> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trading Pairs



## OpenAPI

````yaml openapi.json GET /gateway/v1/exchange/markets
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/exchange/markets:
    get:
      tags:
        - Exchange
      summary: Exchange Trading Pairs
      description: >-
        Returns trading pairs available on an exchange.


        **Filters:** `type` (`spot`, `swap`, `future`, `option`) or free-text
        `search`.


        **Included fields:** pair name, base/quote currencies, market type,
        active status, and default fee rates.


        Use the returned `pair` values as the `pair` parameter in other exchange
        endpoints.
      operationId: exchange-markets
      parameters:
        - description: >-
            Exchange identifier. When omitted, searches across all supported
            exchanges.
          explode: false
          in: query
          name: exchange
          schema:
            description: >-
              Exchange identifier. When omitted, searches across all supported
              exchanges.
            enum:
              - binance
              - okx
              - bybit
              - bitget
              - coinbase
              - kraken
              - gate
              - htx
              - kucoin
              - mexc
              - upbit
              - bitfinex
              - bitstamp
              - deribit
              - bitmex
              - bithumb
            examples:
              - binance
            type: string
        - description: 'Filter: spot, swap, future, option'
          explode: false
          in: query
          name: type
          schema:
            description: 'Filter: spot, swap, future, option'
            enum:
              - spot
              - swap
              - future
              - option
            examples:
              - spot
            type: string
        - description: Filter by base currency
          explode: false
          in: query
          name: base
          schema:
            description: Filter by base currency
            examples:
              - ETH
            type: string
        - description: Filter by quote currency
          explode: false
          in: query
          name: quote
          schema:
            description: Filter by quote currency
            examples:
              - USDT
            type: string
        - description: Fuzzy search in pair/base/quote
          explode: false
          in: query
          name: search
          schema:
            description: Fuzzy search in pair/base/quote
            examples:
              - ETH
            type: string
        - description: Max results
          explode: false
          in: query
          name: limit
          schema:
            default: 100
            description: Max results
            examples:
              - 100
            format: int64
            maximum: 5000
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResponseExchangeMarketItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    SimpleListResponseExchangeMarketItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/SimpleListResponseExchangeMarketItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/ExchangeMarketItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    ExchangeMarketItem:
      additionalProperties: false
      properties:
        active:
          description: Whether the market is active
          type:
            - boolean
            - 'null'
        base:
          description: Base currency
          type:
            - string
            - 'null'
        exchange:
          description: Exchange identifier
          type: string
        maker_fee:
          description: Default maker fee rate
          format: double
          type:
            - number
            - 'null'
        pair:
          description: Trading pair like BTC/USDT
          type: string
        quote:
          description: Quote currency
          type:
            - string
            - 'null'
        taker_fee:
          description: Default taker fee rate
          format: double
          type:
            - number
            - 'null'
        type:
          description: 'Market type: spot, swap, future, option'
          type:
            - string
            - 'null'
      required:
        - exchange
        - pair
        - base
        - quote
        - type
        - active
        - maker_fee
        - taker_fee
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````